<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.1.3
Name: [1] Recepta
Description: Szablon CDA dokumentu recepty
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000">
   <title>[1] Recepta</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /
Item: (plCdaDrugPrescription)
-->

   <rule context="/" id="tmp-r-638759e7-1c87-4a90-8241-fb0095a5934e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']])&gt;=1 and not(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/@nullFlavor)">(plCdaDrugPrescription): element hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']])&lt;=1">(plCdaDrugPrescription): element hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]"
         id="tmp-r-d08040e5-acc0-4f46-9c1e-aa81c7f85d7a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@classCode)='DOCCLIN' or not(@classCode)">(plCdaDrugPrescription): Wartość dla @classCode MUSI wynosić 'DOCCLIN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaDrugPrescription): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <let name="versionLabel" value="'1.3.1'"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root and xs:string(@extension)=xs:string($versionLabel)])=1">(plCdaDrugPrescription):  Nie występuje prawidłowe oznaczenie zgodności dokumentu z daną wersją wydania
               Polskiej Implementacji Krajowej HL7 CDA. </assert>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'Z' and ./hl7:title != 'Recepta'">(plCdaDrugPrescription):  Nieprawidłowy tytuł recepty zwykłej. </report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'P' and ./hl7:title != 'Recepta pielęgniarska'">(plCdaDrugPrescription):  Nieprawidłowy tytuł recepty pielęgniarskiej. </report>
      <report role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="./hl7:code/hl7:translation/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value/@code = 'PL' and ./hl7:title != 'Recepta pielęgniarska na zlecenie lekarza'">(plCdaDrugPrescription):  Nieprawidłowy tytuł recepty pielęgniarkiej na zlecenie lekarza. </report>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="/processing-instruction('xml-stylesheet') = concat('href=&#34;CDA_PL_IG_',$versionLabel,'.xsl&#34; type=&#34;text/xsl&#34;')">(plCdaDrugPrescription):  Nieprawidłowe wskazanie transformaty generującej warstwę prezentacyjną dokumentu.
            </assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&gt;=1 and not(hl7:typeId[@root='2.16.840.1.113883.1.3']/@nullFlavor)">(plCdaDrugPrescription): element hl7:typeId[@root='2.16.840.1.113883.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:typeId[@root='2.16.840.1.113883.1.3'])&lt;=1">(plCdaDrugPrescription): element hl7:typeId[@root='2.16.840.1.113883.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3']/@nullFlavor)">(plCdaDrugPrescription): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3'])&lt;=1">(plCdaDrugPrescription): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&gt;=1 and not(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']/@nullFlavor)">(plCdaDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'])&lt;=1">(plCdaDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&gt;=1 ">(plCdaDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'])&lt;=1">(plCdaDrugPrescription): element hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:id)&gt;=1 ">(plCdaDrugPrescription): element hl7:id jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:id)&lt;=1">(plCdaDrugPrescription): element hl7:id występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&gt;=1 and not(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')])&lt;=1">(plCdaDrugPrescription): element hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:title)&gt;=1 and not(hl7:title/@nullFlavor)">(plCdaDrugPrescription): element hl7:title jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:title)&lt;=1">(plCdaDrugPrescription): element hl7:title występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:effectiveTime)&gt;=1 and not(hl7:effectiveTime/@nullFlavor)">(plCdaDrugPrescription): element hl7:effectiveTime jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:effectiveTime)&lt;=1">(plCdaDrugPrescription): element hl7:effectiveTime występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&gt;=1 and not(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')])&lt;=1">(plCdaDrugPrescription): element hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&gt;=1 and not(hl7:languageCode[@code='pl-PL']/@nullFlavor)">(plCdaDrugPrescription): element hl7:languageCode[@code='pl-PL'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:languageCode[@code='pl-PL'])&lt;=1">(plCdaDrugPrescription): element hl7:languageCode[@code='pl-PL'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:setId)&gt;=1 and not(hl7:setId/@nullFlavor)">(plCdaDrugPrescription): element hl7:setId jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:setId)&lt;=1">(plCdaDrugPrescription): element hl7:setId występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:versionNumber)&gt;=1 and not(hl7:versionNumber/@nullFlavor)">(plCdaDrugPrescription): element hl7:versionNumber jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:versionNumber)&lt;=1">(plCdaDrugPrescription): element hl7:versionNumber występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'])&gt;=1 and not(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']/@nullFlavor)">(plCdaDrugPrescription): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'])&lt;=1">(plCdaDrugPrescription): element hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.82'])&gt;=1 and not(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.82']/@nullFlavor)">(plCdaDrugPrescription): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.82'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.82'])&lt;=1">(plCdaDrugPrescription): element hl7:author[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.82'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:dataEnterer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.90'])&lt;=1">(plCdaDrugPrescription): element hl7:dataEnterer[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.90'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:informant)=0">(plCdaDrugPrescription): element hl7:informant NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&gt;=1 and not(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20']/@nullFlavor)">(plCdaDrugPrescription): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'])&lt;=1">(plCdaDrugPrescription): element hl7:custodian[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.20'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&gt;=1 and not(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6']/@nullFlavor)">(plCdaDrugPrescription): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'])&lt;=1">(plCdaDrugPrescription): element hl7:legalAuthenticator[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.6'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:authenticator)=0">(plCdaDrugPrescription): element hl7:authenticator NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'])&lt;=1">(plCdaDrugPrescription): element hl7:participant[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.19'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:documentationOf)=0">(plCdaDrugPrescription): element hl7:documentationOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.83'])&lt;=1">(plCdaDrugPrescription): element hl7:relatedDocument[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.83'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:authorization)=0">(plCdaDrugPrescription): element hl7:authorization NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:componentOf)=0">(plCdaDrugPrescription): element hl7:componentOf NIE MOŻE wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&gt;=1 and not(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25']/@nullFlavor)">(plCdaDrugPrescription): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'])&lt;=1">(plCdaDrugPrescription): element hl7:component[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.25'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:typeId[@root='2.16.840.1.113883.1.3']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:typeId[@root='2.16.840.1.113883.1.3']"
         id="tmp-r-70561ac8-4b5d-4dc6-8778-938fbf686453">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@extension)='POCD_HD000040'">(plCdaDrugPrescription): Wartość dla @extension MUSI wynosić 'POCD_HD000040'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.1.3'">(plCdaDrugPrescription): Wartość dla @root MUSI wynosić '2.16.840.1.113883.1.3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.1.3']"
         id="tmp-r-304885e2-2373-4cac-82ff-2b020f10e033">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.1.3'">(plCdaDrugPrescription): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.1.3'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescription): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescription): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.9.1.1.1']"
         id="tmp-r-5c4f24b6-07ab-4fbb-84d3-72667222eb1a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.9.1.1.1'">(plCdaDrugPrescription): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.9.1.1.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:templateId[@root='1.3.6.1.4.1.19376.1.5.3.1.1.1']"
         id="tmp-r-0a333d91-758c-449b-907b-60a8bf3238a4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@root)='1.3.6.1.4.1.19376.1.5.3.1.1.1'">(plCdaDrugPrescription): Wartość dla @root MUSI wynosić '1.3.6.1.4.1.19376.1.5.3.1.1.1'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:id
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:id"
         id="tmp-r-64a1441c-88d1-423e-86cd-f8bfd17f98a2">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@root">(plCdaDrugPrescription): atrybut @root MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaDrugPrescription): Atrybut @root MUSI być typu 'oid'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@extension">(plCdaDrugPrescription): atrybut @extension MUSI wystąpić.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@extension) or string-length(@extension)&gt;0">(plCdaDrugPrescription): Atrybut @extension MUSI być typu 'st'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]"
         id="tmp-r-59d83aa9-1508-4ff7-a013-c16d8426aec8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1' and @displayName='Prescription for medication Document' and @codeSystemName='LOINC')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code '57833-6' codeSystem '2.16.840.1.113883.6.1' displayName='Prescription for medication Document' codeSystemName='LOINC'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&gt;=1 and not(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')])&lt;=1">(plCdaDrugPrescription): element hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]"
         id="tmp-r-0003d142-03ae-4433-986e-e75980e3c58b">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32' and @displayName='Recepta' and @codeSystemName='KLAS_DOK_P1')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code '04.01' codeSystem '2.16.840.1.113883.3.4424.11.1.32' displayName='Recepta' codeSystemName='KLAS_DOK_P1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='KDLEK'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='KDLEK']/@nullFlavor)">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='KDLEK'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='KDLEK'])&lt;=1">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='KDLEK'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='RLEK'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='RLEK']/@nullFlavor)">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='RLEK'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='RLEK'])&lt;=1">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='RLEK'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TWREC'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='TWREC']/@nullFlavor)">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='TWREC'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TWREC'])&lt;=1">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='TWREC'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TRREC'])&gt;=1 and not(hl7:qualifier[hl7:name/@code='TRREC']/@nullFlavor)">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='TRREC'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='TRREC'])&lt;=1">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='TRREC'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:qualifier[hl7:name/@code='RRECE'])&lt;=1">(plCdaDrugPrescription): element hl7:qualifier[hl7:name/@code='RRECE'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']"
         id="tmp-r-e4cc0e8c-c299-406b-846d-2b271f4a7292">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugPrescription): element hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:name[(@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-245f5d0b-5b53-4692-bed8-c71e2ad90ea6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='KDLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Kategoria dostępności leku' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'KDLEK' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Kategoria dostępności leku' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='KDLEK']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-5c24f06d-4b05-4aae-9a3d-66a5aa46ce89">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugPrescription): Wartość elementu MUSI wynosić KategoriaDostepnosciLeku Kategoria dostępności leku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.6-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugPrescription): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości KategoriaDostepnosciLeku Kategoria dostępności leku (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']"
         id="tmp-r-3e53c6a2-2a48-44c1-b093-b10cd479b3bd">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:name[(@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-e5b1c386-2119-4a68-b0e5-40bb1fc50f64">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='RLEK' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Rodzaj leku' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'RLEK' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Rodzaj leku' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RLEK']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-cb901ddc-8f0c-4acb-8e98-a3399d39c81e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugPrescription): Wartość elementu MUSI wynosić RodzajLeku Rodzaj leku (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.5-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugPrescription): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości RodzajLeku Rodzaj leku (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']"
         id="tmp-r-5540425c-9d8b-4079-a180-bebb6a54e8d9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugPrescription): element hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:name[(@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-3e6eba9e-45c4-4215-8e26-cb9433533415">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='TWREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Tryb wystawienia recepty' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'TWREC' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Tryb wystawienia recepty' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TWREC']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-c0d44da6-ba65-4b40-81ec-4183892cf6dc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugPrescription): Wartość elementu MUSI wynosić TrybWystawieniaRecepty Tryb wystawienia recepty (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.7-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugPrescription): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości TrybWystawieniaRecepty Tryb wystawienia recepty (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']"
         id="tmp-r-dc2d4cc1-8799-4a07-8a15-b2499d5145d9">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugPrescription): element hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugPrescription): element hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:name[(@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-530aae95-fb8a-4b1f-840d-c5609db4003d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='TRREC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Tryb realizacji recepty' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'TRREC' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Tryb realizacji recepty' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='TRREC']/hl7:value[(@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-2680bbb0-c041-4c7c-b22f-440a33024099">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='Z' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Zwykły')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'Z' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Zwykły'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']"
         id="tmp-r-ffedf010-16a4-41e9-8ab3-e59eaa8b34fc">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CR' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CR", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CR"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&gt;=1 and not(hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]/@nullFlavor)">(plCdaDrugPrescription): element hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')])&lt;=1">(plCdaDrugPrescription): element hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&gt;=1 and not(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]/@nullFlavor)">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="count(hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)])&lt;=1">(plCdaDrugPrescription): element hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']/hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']/hl7:name[(@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1')]"
         id="tmp-r-9e6a59d4-cd13-4e1c-8e7f-2a0ec0c514df">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CV' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CV", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CV"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='RRECE' and @codeSystem='2.16.840.1.113883.3.4424.13.5.1' and @displayName='Rodzaj recepty elektronicznej' and @codeSystemName='PolskieKlasyfikatoryHL7v3')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'RRECE' codeSystem '2.16.840.1.113883.3.4424.13.5.1' displayName='Rodzaj recepty elektronicznej' codeSystemName='PolskieKlasyfikatoryHL7v3'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:code[(@code='57833-6' and @codeSystem='2.16.840.1.113883.6.1')]/hl7:translation[(@code='04.01' and @codeSystem='2.16.840.1.113883.3.4424.11.1.32')]/hl7:qualifier[hl7:name/@code='RRECE']/hl7:value[concat(@code,@codeSystem)=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/concept/concat(@code,@codeSystem) or (@nullFlavor=doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception/@code)]"
         id="tmp-r-b7bd0f32-b6d4-43c9-b8b6-b11ff6c4a506">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <let name="theCode" value="@code"/>
      <let name="theCodeSystem" value="@codeSystem"/>
      <let name="theCodeSystemVersion" value="@codeSystemVersion"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet[conceptList/concept[@code = $theCode][@codeSystem = $theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion] or completeCodeSystem[@codeSystem=$theCodeSystem][not(@codeSystemVersion) or @codeSystemVersion=$theCodeSystemVersion]])">(plCdaDrugPrescription): Wartość elementu MUSI wynosić RodzajReceptyElektronicznej Rodzaj recepty elektronicznej (DYNAMICZNE).</assert>
      <let name="theNullFlavor" value="@nullFlavor"/>
      <let name="validNullFlavorsFound"
           value="exists(doc('include/voc-2.16.840.1.113883.3.4424.13.11.85-DYNAMIC.xml')/*/valueSet/conceptList/exception[@code = $theNullFlavor][@codeSystem = '2.16.840.1.113883.5.1008'])"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@nullFlavor) or not(empty(($validNullFlavorsFound))) ">(plCdaDrugPrescription): Kod braku danych dla @code MUSI pochodzić ze zbioru dopuszczalnych kodów braku danych zdefiniowanych dla tego atrybutu lub powiązanych ze zbiorem wartości RodzajReceptyElektronicznej Rodzaj recepty elektronicznej (DYNAMICZNE)</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:title
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:title"
         id="tmp-r-b5761120-d590-40e0-974d-2f74987f3afb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='ST' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:ST", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="ST"/>
      <let name="theValue" value="text()"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:effectiveTime
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:effectiveTime"
         id="tmp-r-496cdbb6-24ce-4bd0-a12c-97f3ef8fc9f4">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='TS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:TS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="TS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="concat(substring(@value,1,4),'-',substring(@value,5,2),'-',substring(@value,7,2)) castable as xs:date">(plCdaDrugPrescription): Pierwsze 8 cyfr daty powinno być w formacie YYYYMMDD.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:confidentialityCode[(@code='N' and @codeSystem='2.16.840.1.113883.5.25')]"
         id="tmp-r-2c05cc84-fe8a-4a5e-90d5-648a371df4e8">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='N' and @codeSystem='2.16.840.1.113883.5.25')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'N' codeSystem '2.16.840.1.113883.5.25'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:languageCode[@code='pl-PL']
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:languageCode[@code='pl-PL']"
         id="tmp-r-7b3fc102-baed-489b-ab33-772f8ad62b1d">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CS' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CS", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CS"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="@nullFlavor or (@code='pl-PL')">(plCdaDrugPrescription): Wartość elementu MUSI wynosić code 'pl-PL'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:setId
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:setId"
         id="tmp-r-9895f00b-4cd7-491f-b646-af318a9f42a7">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='II' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:II", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="II"/>
      <let name="theValue" value="@value"/>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:versionNumber
Item: (plCdaDrugPrescription)
-->

   <rule context="/hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:versionNumber"
         id="tmp-r-513e8de1-9de6-4dc6-875d-a9232f1f2600">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='INT' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaDrugPrescription): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:INT", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="INT"/>
      <let name="theValue" value="@value"/>
      <let name="digitok"
           value="matches(string($theValue), '^-?[1-9][0-9]*$|^+?[0-9]*$')"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="$digitok or @nullFlavor">(plCdaDrugPrescription): @value nie jest poprawną liczbą typu INT <value-of select="$theValue"/>
      </assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="string(@value)='1'">(plCdaDrugPrescription): Wartość dla @value MUSI wynosić '1'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.1.3-2019-09-30T000000.html"
              test="not(@value) or matches(string(@value), '^-?[1-9][0-9]*$|^+?[0-9]*$')">(plCdaDrugPrescription): Atrybut @value nie jest porawną liczbą typu int <value-of select="$theValue"/>
      </assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:informant
Item: (plCdaDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:authenticator
Item: (plCdaDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:documentationOf
Item: (plCdaDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:authorization
Item: (plCdaDrugPrescription)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.1.3
Context: /hl7:ClinicalDocument[hl7:recordTarget[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.2.23']]/hl7:componentOf
Item: (plCdaDrugPrescription)
-->
</pattern>
