<?xml version="1.0" encoding="UTF-8"?>
<!--
Template derived pattern
===========================================
ID: 2.16.840.1.113883.3.4424.13.10.4.80
Name: [4] Potwierdzenie całkowitej dawki substancji czynnej
Description: Szablon CDA dla potwierdzenia całkowitej dawki substancji
            czynnej
-->
<pattern xmlns="http://purl.oclc.org/dsdl/schematron"
         id="template-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000">
   <title>[4] Potwierdzenie całkowitej dawki substancji czynnej</title>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]"
         id="tmp-r-42548292-8a2d-4b77-b1e5-d4c6b65bfc2e">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-ca1cff08-da44-47b7-b83b-33557df6c1c6">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='SPLY' or not(@classCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'SPLY'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@moodCode)='EVN' or not(@moodCode)">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @moodCode MUSI wynosić 'EVN'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@moodCode) or (string-length(@moodCode)&gt;0 and not(matches(@moodCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @moodCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] | self::hl7:code[@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14'] | self::hl7:text | self::hl7:product)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&gt;=1 and not(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80'] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&gt;=1 and not(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')])&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')] występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:text)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:text występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:product)&gt;=1 ">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product jest required [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:product)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:product występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:templateId[@root='2.16.840.1.113883.3.4424.13.10.4.80']"
         id="tmp-r-3ddb9b29-dff0-43aa-a400-a76c1653b6ea">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@root)='2.16.840.1.113883.3.4424.13.10.4.80'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @root MUSI wynosić '2.16.840.1.113883.3.4424.13.10.4.80'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@root) or matches(@root,'^[0-2](\.(0|[1-9][0-9]*))*$')">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @root MUSI być typu 'oid'</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:code[(@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')]"
         id="tmp-r-e1ec9387-9832-4248-9390-06dfdab78d97">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CD' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CD", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CD"/>
      <let name="theValue" value="@value"/>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="@nullFlavor or (@code='CDSC' and @codeSystem='2.16.840.1.113883.3.4424.13.5.3.14')">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość elementu MUSI wynosić code 'CDSC' codeSystem '2.16.840.1.113883.3.4424.13.5.3.14'.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product"
         id="tmp-r-ff4f19e8-c4db-489e-aca9-cfd69b9aa423">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:manufacturedProduct)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedProduct)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedProduct występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct"
         id="tmp-r-1ab39418-1c63-4d65-a3e5-6cb2c47b1479">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::hl7:manufacturedMaterial)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedMaterial)&gt;=1 and not(hl7:manufacturedMaterial/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(hl7:manufacturedMaterial)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element hl7:manufacturedMaterial występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial"
         id="tmp-r-9321bfa7-0ae7-40b9-b93c-437f828da18f">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:ingredient[@classCode='ACTI'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient"
         id="tmp-r-2c1bec7a-5640-47e3-a8ef-f937a21fb77c">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='ACTI'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'ACTI'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:quantity | self::pharm:ingredient[@classCode='MMAT' and @determinerCode='KIND'])])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:quantity)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:quantity występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:ingredient)&gt;=1 and not(pharm:ingredient/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:ingredient)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:ingredient występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity"
         id="tmp-r-033fac23-ff73-40b7-bf23-4b8f3b6624fb">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:numerator | self::pharm:denominator)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:numerator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:numerator występuje zbyt często [max 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:denominator)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:denominator występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:numerator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:quantity/pharm:denominator
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient"
         id="tmp-r-8f8616dc-250d-42f8-b422-90336077d145">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@classCode)='MMAT'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @classCode MUSI wynosić 'MMAT'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@classCode) or (string-length(@classCode)&gt;0 and not(matches(@classCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @classCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="string(@determinerCode)='KIND'">(plCdaActiveSubstanceTotalDoseConfirmation): Wartość dla @determinerCode MUSI wynosić 'KIND'.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(@determinerCode) or (string-length(@determinerCode)&gt;0 and not(matches(@determinerCode,'\s')))">(plCdaActiveSubstanceTotalDoseConfirmation): Atrybut @determinerCode MUSI być typu 'cs'</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="not(./*[not(self::pharm:code)])">(plCdaActiveSubstanceTotalDoseConfirmation): We fragmencie dokumentu zgodnym z szablonem "[4] Potwierdzenie całkowitej dawki substancji czynnej" występują niedozwolone elementy.</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:code)&gt;=1 and not(pharm:code/@nullFlavor)">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code jest mandatory [min 1x].</assert>
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="count(pharm:code)&lt;=1">(plCdaActiveSubstanceTotalDoseConfirmation): element pharm:code występuje zbyt często [max 1x].</assert>
   </rule>
   <!--
Template derived rules for ID: 2.16.840.1.113883.3.4424.13.10.4.80
Context: *[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code
Item: (plCdaActiveSubstanceTotalDoseConfirmation)
-->

   <rule context="*[hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']]/hl7:supply[hl7:templateId/@root='2.16.840.1.113883.3.4424.13.10.4.80']/hl7:product/hl7:manufacturedProduct/hl7:manufacturedMaterial/pharm:ingredient/pharm:ingredient/pharm:code"
         id="tmp-r-9772e495-dae8-4e44-8ded-adf0e3a3149a">
      <assert role="error"
              see="https://www.csioz.gov.pl/HL7POL/pl-cda-html-pl-PL/plcda-html-develop/tmp-2.16.840.1.113883.3.4424.13.10.4.80-2019-09-30T000000.html"
              test="(local-name-from-QName(resolve-QName(@xsi:type,.))='CE' and namespace-uri-from-QName(resolve-QName(@xsi:type,.))='urn:hl7-org:v3') or not(@xsi:type)">(plCdaActiveSubstanceTotalDoseConfirmation): Jeśli występuje instrukcja @xsi:type, to MUSI mieć wartość "{urn:hl7-org:v3}:CE", znaleziono "{<value-of select="namespace-uri-from-QName(resolve-QName(@xsi:type,.))"/>}:<value-of select="local-name-from-QName(resolve-QName(@xsi:type,.))"/>"</assert>
      <extends rule="CE"/>
      <let name="theValue" value="@value"/>
   </rule>
</pattern>
